analytics.filters
curl --request GET \
--url https://api.comm.com/api/v1/analytics/filters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/analytics/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/analytics/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"label": "<string>",
"key": "<string>",
"type": "<string>",
"sortable": true,
"canGroup": true,
"operators": [
"<string>"
]
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Analytics
analytics.filters
Example response:
{
"data": [
{
"label": "Sms Id",
"key": "sms_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Team Id",
"key": "team_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Updated Datetime",
"key": "updated_datetime",
"type": "date",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"greaterThan",
"lessThan",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Sms Campaign Id",
"key": "sms_campaign_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sms Campaign Send Id",
"key": "sms_campaign_send_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Segment Id",
"key": "segment_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Contact Id",
"key": "contact_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Phone",
"key": "phone_normalized",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Network Id",
"key": "network_id",
"type": "number",
"canGroup": true,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Country Id",
"key": "country_id",
"type": "number",
"canGroup": true,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Foreign Id",
"key": "foreign_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Fail Reason",
"key": "fail_reason",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sent",
"key": "is_sent",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Is Clicked",
"key": "is_clicked",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Is Lead",
"key": "is_lead",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Is Sale",
"key": "is_sale",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Unsubscribed Method",
"key": "unsubscribed_method",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Domain Id",
"key": "domain_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Shortened Url",
"key": "shortened_url",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Offer Id",
"key": "offer_id",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Campaign Text Id",
"key": "campaign_text_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Final Text",
"key": "final_text",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Text Parts",
"key": "text_parts",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Sms Routing Plan Id",
"key": "sms_routing_plan_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sms Routing Plan Rule Id",
"key": "sms_routing_plan_rule_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sms Routing Route Id",
"key": "sms_routing_route_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sms Rule Selected Data",
"key": "sms_rule_selected_data",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sender Id",
"key": "sender_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sender Id Id",
"key": "sender_id_id",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sms Parts",
"key": "sms_parts",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Dlr Code",
"key": "dlr_code",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Dlr Str",
"key": "dlr_str",
"type": "text",
"canGroup": false,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Sent At",
"key": "sent_at",
"type": "date",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"greaterThan",
"lessThan",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Time Clicked",
"key": "time_clicked",
"type": "date",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"greaterThan",
"lessThan",
"inRange",
"blank",
"notBlank"
]
},
{
"label": "Campaign Name",
"key": "campaign_name",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Network Brand",
"key": "network_brand",
"type": "text",
"canGroup": true,
"operators": [
"contains",
"notContains",
"equals",
"notEqual",
"startsWith",
"endsWith",
"blank",
"notBlank"
]
},
{
"label": "Ctr",
"key": "ctr",
"type": "number",
"canGroup": false,
"operators": [
"equals",
"notEqual",
"lessThan",
"lessThanOrEqual",
"greaterThan",
"greaterThanOrEqual",
"inRange",
"blank",
"notBlank"
]
}
]
}
GET
/
v1
/
analytics
/
filters
analytics.filters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
sms_contacts, sms_reports, route_company, connected_routes Response
Array of DataGridFilterResource
Show child attributes
Show child attributes